TransformAttribute (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.font
Class TransformAttribute

    java.lang.Object
      |
      +--java.awt.font.TransformAttribute

All Implemented Interfaces:
  Serializable

public final class TransformAttribute
extends Object
implements Serializable

The `TransformAttribute` class provides an immutable wrapper for a transform so that it is safe to use as an attribute.

See Also:
  Serialized Form

Constructor Summary
`TransformAttribute(AffineTransform transform)` Wraps the specified transform.

Method Summary
`AffineTransform` | `getTransform()` Returns a copy of the wrapped transform.
`boolean` | `isIdentity()` Returns `true` if the wrapped transform is an identity transform.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformAttribute

    public TransformAttribute(AffineTransform transform)

  Wraps the specified transform. The transform is cloned and a reference to the clone is kept. The original transform is unchanged.

Parameters:
  `transform` - the specified `AffineTransform` to be wrapped

Method Detail

### getTransform

    public AffineTransform getTransform()

  Returns a copy of the wrapped transform.

  Returns:
    a `AffineTransform` that is a copy of the wrapped transform of this `TransformAttribute`.

### isIdentity

    public boolean isIdentity()

  Returns `true` if the wrapped transform is an identity transform.

  Returns:
    `true` if the wrapped transform is an identity transform; `false` otherwise.
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.